<template>
  <div tag :color="color">
    <svg width="16" height="16">
      <g>
        <circle cx="8" cy="8" r="8"></circle>
      </g> 
    </svg>
    <span><slot/></span>
  </div>
</template>
<script lang="ts">
import { Component, Vue, Prop } from 'vue-property-decorator';

@Component({
  components: {
  },
})
export default class extends Vue {

  @Prop()
  private color!: 'green' | 'yellow' | 'red';
}
</script>
<style lang="scss" scoped>
$colorConfig: 'green' md-get-palette-color(green, 600) md-get-palette-color(green, 200) black,
              'yellow' md-get-palette-color(yellow, 800) md-get-palette-color(yellow, 400) black,
              'red' md-get-palette-color(red, 600) md-get-palette-color(red, 200) black,
              'gray' md-get-palette-color(gray, 600) md-get-palette-color(gray, 200) black;

[tag] {
    border-radius: 16px;
    display: inline-flex;
    flex-direction: row;
    font-size: .8em;
    align-items: center;
    margin: 3px 0;

    svg {
      margin: 3px;
    }

    span {
      padding-right: 6px;
    }

    @each $tuple in $colorConfig {
      &[color="#{nth($tuple, 1)}"] {
        background: #{nth($tuple, 3)};
        color: #{nth($tuple, 4)};

        svg {
          g {
            circle {
              fill: #{nth($tuple, 2)};
            }
          }
        }
      }
    }
}
</style>
